Update a subscription

Update an existing subscription
šŸ” Note that the authentication must provide administrative privileges. The required permission is OWNER.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
length ≤ 255

Custom name of this subscription (use only letters and numbers; no spaces)

date-time

Opening date for subscription

date-time

Closing date for subscription

string
enum

Note:
If it is CLOSE_ENDED, the tokenPrice and endDate values must be set.
If it is OPEN_ENDED, the tokenPrice and endDate values must be null.

Allowed:
string

Price per token to participate in the subscription

boolean
Defaults to true

Auto minting

caps
object

Maximum investment amounts

fees
object

Applicable subscription fees

paymentMethods
object

Payment methods for the subscription

orderFormSettings
object

Investor app order form settings.

calendar
object

Calendar configuration used to link, update, or unlink a settlement calendar for this subscription.

Behaviour based on the payload:

- Field omitted → keep the currently linked calendar as-is (no changes).

- calendar: null → unlink and delete the currently linked calendar (if any).

- { id: "<existingId>" } → link the subscription to an already existing calendar with that id.
    • If <existingId> equals the current calendarId, nothing is changed on the calendar itself.

- { id: "<existingId>", ...fields } and <existingId> equals the current calendarId
    → update that existing calendar with the provided fields (cutOffTime, delay, work* flags, etc.).

- { id: "<otherId>", ...optionalFields } where <otherId> is different from the current calendarId
    → link the subscription to that other calendar id. The previously linked calendar is not deleted by the backend.

- { id: null, ...fields } → create a new calendar with the provided fields and link it to the subscription (old calendar is deleted if one was linked).

- { ...fields } (no id property at all) → create a new calendar and link it to the subscription.

Additional rules for OPEN_ENDED intervals when creating/updating a calendar (cases where the backend creates/updates a calendar from the payload):

- If cutOffTime is provided, delay is required.

- At least one of the working day flags (workMonday…workSunday) must be set to true.

Responses

400

Subscription update failed due to invalid data.

Some of the subscription payment inputs must be set to true (paymentInputNetInvestment, paymentInputAmountToPay, paymentInputTokenQuantity).

Close Ended subscriptions cannot have a calendar linked.

Open-ended intervals must be last from a chronological viewpoint.

The price of the token has more decimals than the token can handle.

Token price must be undefined when creating open ended subscription.

Open-ended intervals cannot have an end date.

Token price must be defined when creating close ended subscription.

The price of the token must be a positive number greater than zero.

End date is in the past (UTC).

End date is before or equal to the start date.

Duplicate payment method strategy network: {duplicateNetwork}.

Interval overlaps the beginning of another interval.

Interval could not be placed. If you want to have another interval, please close the last one.

Interval overlaps the end of another interval.

The value of the fee is not a number.

A flat fee's value must be positive and greater than zero.

A percentage-based fee's value must be greater than zero and less than a hundred.

Minimum order must be equal or less than the minimum capital.

Maximum order must be equal or less than the maximum capital.

{cap variable} is not a number.

{minCap} must be positive and greater than zero.

{maxCap} must be greater than the {minCap}.

{maxCap} must be positive and greater than zero.

401

Unauthorized

403

Token not manageable with this authentication.

404

Token not found.

Subscription not found.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json